Subject: Re: bug#14397: 24.3; <C-kp-1> and <M-kp-1> undefined

From: Juri Linkov <[email-masked]>
Date: Fri, 13 Dec 2013 03:09:58 +0200

> Just a thought : your patch puts, in bindings.el, some function-key-map
> bindings which were already defined in simple.el ; see the section
> ;;;; Keypad support.
> in simple.el.

Now I removed duplicate bindings from simple.el, except kp-enter.
simple.el binds kp-enter to ?\r, and bindings.el binds it to `enter'.
Loadup loads simple.el later after bindings.el, so keybindings in
simple.el override the keybindings in bindings.el. Thus we could
leave it as is, allowing simple.el to override kp-enter with ?\r.